package com.caimei365.manager.controller.caimei.user;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmBehaviorRecord;
import com.caimei365.manager.service.caimei.user.CmBehaviorRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/15
 */
@RestController
@RequestMapping("/user/behavior")
public class CmBehaviorRecordApi {

    @Autowired private CmBehaviorRecordService recordService;

    /**
     * 用户行为记录列表数据
     * @param cmBehaviorRecord 参数
     * @return 返回
     */
    @GetMapping("/record/list")
    public ResponseJson<PaginationVo<CmBehaviorRecord>> list(CmBehaviorRecord cmBehaviorRecord,
                                                             @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                             @RequestParam(value = "pageSize",defaultValue = "20") int pageSize) {

        return recordService.list(cmBehaviorRecord, pageNum, pageSize);
    }

    /**
     * 查看详情
     * @param cmBehaviorRecord 参数
     * @param pageNum 页码
     * @param pageSize 页面数据数
     * @return 返回
     */
    @GetMapping("/record/recordList")
    public ResponseJson<PaginationVo<CmBehaviorRecord>> recordList (CmBehaviorRecord cmBehaviorRecord,
                                                                    @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                    @RequestParam(value = "pageSize",defaultValue = "20")int pageSize) {
        return recordService.recordList(cmBehaviorRecord, pageNum, pageSize);
    }

    /**
     * 标签库数据
     * @return 返回
     */
    @GetMapping("/searchList")
    public ResponseJson searchList () {

        return recordService.searchList();
    }
}
